package com.ruoyi.system.domain.sf;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 顺丰配置
 * @Author: tjf
 * @Date: 2024/1/18 14:56
 * @Describe:
 */
@Component
@ConfigurationProperties(prefix = "sf")
public class SfBean {
    private String clientCode;
    private String checkWord;
    private String callUrlProd;

    public String getClientCode() {
        return clientCode;
    }

    public void setClientCode(String clientCode) {
        this.clientCode = clientCode;
    }

    public String getCheckWord() {
        return checkWord;
    }

    public void setCheckWord(String checkWord) {
        this.checkWord = checkWord;
    }

    public String getCallUrlProd() {
        return callUrlProd;
    }

    public void setCallUrlProd(String callUrlProd) {
        this.callUrlProd = callUrlProd;
    }

    @Override
    public String toString() {
        return "SfBean{" +
                "clientCode='" + clientCode + '\'' +
                ", checkWord='" + checkWord + '\'' +
                ", callUrlProd='" + callUrlProd + '\'' +
                '}';
    }
}
